> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Admin Analytics Stats

> Get all stat card data for admin analytics page.



## OpenAPI

````yaml /openapi.json get /api/v1/learn/admin/analytics/stats
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/admin/analytics/stats:
    get:
      tags:
        - learn-admin-analytics
      summary: Get Admin Analytics Stats
      description: Get all stat card data for admin analytics page.
      operationId: get_admin_analytics_stats_api_v1_learn_admin_analytics_stats_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminAnalyticsStatsDTO'
      security:
        - HTTPBearer: []
components:
  schemas:
    AdminAnalyticsStatsDTO:
      properties:
        fleet:
          $ref: '#/components/schemas/FleetComplianceStatsDTO'
        courses:
          $ref: '#/components/schemas/CoursePerformanceStatsDTO'
        crew:
          $ref: '#/components/schemas/CrewAnalyticsStatsDTO'
      type: object
      required:
        - fleet
        - courses
        - crew
      title: AdminAnalyticsStatsDTO
    FleetComplianceStatsDTO:
      properties:
        overallCompliance:
          type: number
          title: Overallcompliance
        totalRegistrations:
          type: integer
          title: Totalregistrations
        completedRegistrations:
          type: integer
          title: Completedregistrations
        overdueTrainings:
          type: integer
          title: Overduetrainings
        avgDaysToComplete:
          type: number
          title: Avgdaystocomplete
        activeEnrollments:
          type: integer
          title: Activeenrollments
      type: object
      required:
        - overallCompliance
        - totalRegistrations
        - completedRegistrations
        - overdueTrainings
        - avgDaysToComplete
        - activeEnrollments
      title: FleetComplianceStatsDTO
    CoursePerformanceStatsDTO:
      properties:
        avgScore:
          type: number
          title: Avgscore
        hardestCourse:
          type: string
          title: Hardestcourse
        hardestCourseScore:
          type: number
          title: Hardestcoursescore
        highestPassRateCourse:
          type: string
          title: Highestpassratecourse
        highestPassRate:
          type: number
          title: Highestpassrate
      type: object
      required:
        - avgScore
        - hardestCourse
        - hardestCourseScore
        - highestPassRateCourse
        - highestPassRate
      title: CoursePerformanceStatsDTO
    CrewAnalyticsStatsDTO:
      properties:
        crewTrained:
          type: integer
          title: Crewtrained
        totalCrew:
          type: integer
          title: Totalcrew
        avgCompletionDays:
          type: number
          title: Avgcompletiondays
        atRiskCrew:
          type: integer
          title: Atriskcrew
      type: object
      required:
        - crewTrained
        - totalCrew
        - avgCompletionDays
        - atRiskCrew
      title: CrewAnalyticsStatsDTO
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````